#!/usr/bin/env python

import matplotlib.pyplot as plt
import argparse
from astropy.io import fits


def crcheck(frameid, refid):
    maskdata = fits.getdata(frameid+'.mask2.fits')
    crdata1 = fits.getdata(frameid+'.cr.fits')
    crdata2 = fits.getdata(frameid+'.cr2.fits')
    refdata = fits.getdata(refid+'.cr.fits')
    
    w=50

    for y in range(maskdata.shape[0]):
        for x in range(maskdata.shape[1]):
            if maskdata[y,x] == 1:
                plt.plot(crdata1[y-w:y+w,x], label=frameid+'.cr')
                plt.plot(crdata2[y-w:y+w,x], label=frameid+'.cr2')
                plt.plot(refdata[y-w:y+w,x], label=refid+'.cr')
                plt.xlabel('Y (pix)')
                plt.ylabel('Conts')
                plt.title('Center: {},{} in DS9'.format(x+1,y+1))
                plt.legend()
                plt.draw()
                plt.pause(0.01)
                input('Press Ctl-C to quit, or Return to go next.:')
                plt.clf()
    return


if __name__ == '__main__':
    parser=argparse.ArgumentParser(description='This is the script for '
                                   + 'checking corrections for cosmic rays.')
    parser.add_argument('frameid', help='Frame ID.')
    parser.add_argument('refid', help='Reference Frame ID.')
    args = parser.parse_args()
    
    crcheck(args.frameid, args.refid)
    
