#!/usr/bin/env python

import numpy as np
import matplotlib.pyplot as plt
import sys
import argparse

def show_skyshift(infile, vmin=None, vmax=None):
    dy = np.loadtxt(infile)

    plt.imshow(dy, origin='lower', vmin=vmin, vmax=vmax)
    plt.xlabel('X (pix)')
    plt.ylabel('Y (pix)')
    cbar = plt.colorbar()
    cbar.set_label('Sky shift (pix)')
    plt.title(infile)
    plt.show()
    return

if __name__ == '__main__':
    # Analize argments
    parser=argparse.ArgumentParser(description='This is the script '+
                                   'for showing sky shift derived with' +
                                   'get_sky_shift.py.')
    parser.add_argument('infile', help='Sky shift data file')
    parser.add_argument('-vmin', help='Minimum value (default: None)',
                        default=None, type=float)
    parser.add_argument('-vmax',help='Maximum value (default: None)',
                        default=None, type=float)
    args = parser.parse_args()

    show_skyshift(args.infile, vmin=args.vmin, vmax=args.vmax)
